/*-----НАСТРОЙКИ ВСЕГО САЙТА-----*/
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}    
:root{
    --gap-smoll: 6px;
    --padding-standart: 12px;
    --gap-big: 12px;
    --border-radius: 15px;
}
body,html {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: var(--gap-smoll);
    background-color: #131313;
    min-height: 100vh;
}

body{
    height: 100%;
}

header{
    max-width: 1200px;
    position: sticky;
    z-index: 1;
    top: 0;
    height: 120px;
    margin: 0 auto;
    background: rgba(2, 8, 14, 0.65);
    padding: var(--padding-standart);
    width: 100%;
    border-bottom: 1px solid rgba(0, 229, 176, 0.12);
    backdrop-filter: blur(6px);
    flex: 1;
   
}

main{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: var(--gap-big);
    background-color: #4f4a3f;
    color: aliceblue;
    max-width: 1200px;
    margin: 0 auto;
    padding: var(--padding-standart);
    width: 100%;
    flex: 1;
    height: auto;

}

main h1{
    padding: var(--padding-standart);
    background-color: rgba(7, 7, 7, 0.5);
    flex: 1 0 100%;
}

nav{
    width: 100%;
    padding: var(--padding-standart);
}


nav ul{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    gap: var(--gap-smoll);
    list-style: none;
    padding: var(--padding-standart);

    
}

nav ul li a{
    display: inline-block; 
    color: white;
    font-size: 16px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-decoration: none;
}

nav ul li a:hover{
    color: rgb(156, 101, 7);

}

.content-flex{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: var(--gap-big);
}

.content-flex section{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: var(--gap-smoll);
    border: 1px solid black;
    padding: var(--padding-standart);
}

footer{
    height: 200px;
    background-color: rgba(2, 8, 14, 0.65);
    color: beige;
    max-width: 1200px;
    margin: 0 auto;
    width: 100%;
    padding: var(--padding-standart);
    flex: 1;

}

footer .footer-flex{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: var(--gap-smoll);
    align-items: center;
    justify-content: center;
}

form {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: var(--gap-big);
    margin: 0 auto;
    font-size: 20px;
    width: 45%;
}

form input,button{
    padding: var(--padding-standart);
    font-size: 18px;
}

input:focus{
    outline: 3px solid beige;
    font-size: 20px;
}

button{
    transition: 0.5s;
}

button:active{
    transform: scale(.9);
}

button[type="reset"]{
    background: rgba(255, 2, 2, 0.3);
    color: beige;
    border-radius: var(--border-radius);
    flex: 1 0 25%;
}

button[type="submit"]{
    background: rgba(34, 7, 190, 0.3);
    color: rgb(253, 255, 252);
    border-radius: var(--border-radius);
    flex: 1 0 45%;
}

.sub:hover{
    background-color: #b4a992;
    font-size: 20px;
}

.bio{
    display: flex;
    gap: var(--gap-big);
    align-items: flex-start;
}

.bi{
    color: rgb(80, 235, 155);
}

.form{
    min-height: 55vh;
    background-color: #4f4a3f;
    display: flex;
    align-items: center;
    padding: var(--padding-standart);

}

.btnGroup{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: var(--gap-smoll);
}

.btn{
    color: beige;
    text-decoration: none;
    padding: var(--padding-standart);
}

.btnSucces{
    background: rgba(212, 230, 143, 0.12);
    border-radius: var(--border-radius);
    text-align: center;
    border: 1px dotted green;
    box-shadow: 0px 4px 0px 4px gold;
    transition: all 1.5s ease;
}

.btnSucces:active{
    transform: scale(.9);
}

section.razdel-flex{
    display: flex;
    flex-wrap: wrap;
    padding: var(--padding-standart);
    gap: var(--gap-smoll);
    flex: 1 0 100%;
    flex-direction: row;
    border: none;
    align-items: flex-start;
}

.posts{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    gap: var(--gap-big);
    padding: var(--padding-standart);
    flex: 0 0 70%;

    
}

.posts h2, .posts p{
    flex: 1 0 100%;
}

.posts article{
    flex: 0 0 100%;
    display: flex;
    flex-direction: row;
    gap: var(--gap-smoll);
    flex-wrap: wrap;
    border: 1px solid black;
    padding: var(--padding-standart);
    background:rgba(5, 5, 224, 0.12);
  
}

.posts article img{
    width: 50%;
    margin: 0 auto;

}

aside{
    flex: 0 0 25%;
    background: rgba(163, 231, 248, 0.5);
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: space-between;
    align-items: flex-start;
    
}

aside ul{
    list-style: none; 
    display: flex;
    flex-direction: column;
    width: 100%;
    margin-bottom: 10px;
}

aside ul li{
    display: inline-block;
    padding: var(--padding-standart);
}

aside ul li.title {
    background: blue;
    color: white;
    text-align: center;
}